Page MenuHomeFreeBSD

Fix syscall kld example
ClosedPublic

Authored by fernape on May 27 2021, 12:20 PM.

Details

Summary

PR: 255936

The syscall kld example does not build.

Test Plan
  • Apply patch
  • make
  • dmesg | grep syscall should show something like syscall loaded at 210

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

gbe added a subscriber: jilles.

Should be fine, but since it is a src change I added @jilles for src review and approval.

This revision is now accepted and ready to land.May 29 2021, 5:57 PM
share/examples/kld/syscall/module/syscall.c
54–56

The comments are now redundant.

  • Remove redundante comments (spotted by jills@)
This revision now requires review to proceed.May 30 2021, 4:16 PM

Thanks!

As this is a small fix to the EXAMPLE, is it necessary to bump .Dd at commit time?

As this is a small fix to the EXAMPLE, is it necessary to bump .Dd at commit time?

This is not a man page and it does not have a .Dd.

This revision is now accepted and ready to land.May 30 2021, 7:34 PM

As this is a small fix to the EXAMPLE, is it necessary to bump .Dd at commit time?

This is not a man page and it does not have a .Dd.

Oops! Sorry, the original PR mentioned SYSCALL_MODULE(9) man page, but there is only the path to the example not the code itself.

This revision was automatically updated to reflect the committed changes.

Thank you all for the review.